如何在打开一个图形后新建图层
请教下高手们,用c#做cad二次开发时,我想实现打开一个图件后,自动新建一个图层,有什么好法吗?建立事件与回调函数之间的连接应该这样写Application.DocumentManager.DocumentActivated += new DocumentCollectionEventHandler(AddLayer),但是不知道这句话放在dll中命名空间的那个位置才能在加载dll时自动运行这句话。自己顶下,高手们帮忙解决下啊! 调用open()方法后,接着处理新建图层的方法 在这个里面实现IExtensionApplication.Initialize 楼上正解
一般流程就是:
1、autocad运行是自动加载插件
2、插件自动运行文件打开监控事件
using Autodesk.AutoCAD.Runtime;
using Autodesk.AutoCAD.ApplicationServices;
using Autodesk.AutoCAD.EditorInput;
using Autodesk.AutoCAD.DatabaseServices;
using Autodesk.AutoCAD.Geometry;
using System;
namespace HfkxCAD
{
public class Initialization : Autodesk.AutoCAD.Runtime.IExtensionApplication
{
WpfSystemSet wpf = new WpfSystemSet();
public void Initialize()
{
Autodesk.AutoCAD.ApplicationServices.Application.ShowModalWindow(wpf);
}
public void Terminate()
{
//wpf.Close();
//Console.WriteLine("Cleaning up...");
}
}
}
我首次加载DLL时会出现自定义的窗体,但采用OPEN和NEW时该窗体不显示,是什么原因 我想。在运行CAD后出现窗体和打开、新建文档是出现窗体,不知采用什么方法;麻烦高手指教
页:
[1]